Någon som använder Wordpress där ute?

Tråden skapades och har fått 15 svar. Det senaste inlägget skrevs .
1
  • Medlem
  • Bollnäs
  • 2005-12-23 20:21

Nu har jag påbörjat arbetet med att uppgradera min sajt från WP 1.5 till 2.0. Men jag har råkat på ett problem. Det verkar som det är några variabler som har förändrats, och jag vet inte riktigt hur jag ska lösa det. Har postat frågan på utvecklarlistan till WP, men inte fått några svar ännu.

Så om någon är duktig på PHP och använder WP så let me know.

Tack på förhand.

  • Medlem
  • Järfälla
  • 2005-12-23 22:05

Använder WP, men är tyvärr ingen höjdare på det. Rekommenderar att du registrerar dig på http://www.busbraforum.se eller http://www.elajt.nu/forum/

Där finns riktigt duktiga tjejer som kan allt om WP och PHP.

  • Medlem
  • Järfälla
  • 2005-12-23 23:37

Förresten... är inte den senaste stabila versionen 1.5.2 ? Det kanske inte är så konstigt att det inte lirar som det ska...

  • Medlem
  • Bollnäs
  • 2005-12-24 00:18

Visserligen är 2.0 bara en RC än så länge, men den är inne i absoluta slutfasen av utvecklingen. Kommer nog att släppas före nyår skulle jag tro.

Så det mesta är som det kommer att vara vid släpp. Endast några små grejer som ligger i pipen på att fixas innan släpp.

Vilket gör att jag redan börjat förbereda uppgraderingen. Så om någon har lite input att dela med sig av så är jag otroligt tacksam.

Jag kör några installationer av WordPress, men jag har än så länge avvaktat 2.0, trots att jag hela tiden följer utvecklingen. Men jag har funderat på att göra nån testinstallation av 2.0 bara för att se om jag gillar det eller inte.

Kör med WP 1.5, avvaktar tills en skarp version kommer av 2:an

  • Medlem
  • Bollnäs
  • 2005-12-24 22:29

Nu har jag löst mitt problem. Det visade sig att WP_Query(), Loopen och några variabler har bytt betende lite grand. Men med gott mod och en massa envishet så förstod jag vad som var fel. Nu fungerar allt som det ska.

Appropå 2.0 så måste jag säga att det är otroligt stora förändringar i admin-delen av applikationen. Däremot har man inte jobbat så speciellt mycket med övriga delar (inte märkbart i alla fall). Det har tillkommit en WYSIWYG-editor (som inte fungerar i Safari tråkigt nog), en mycket bättre bilduppladdningsfunktion kopplad till artikel/sidredigeringen, förändrade roller och konfigurerbara regler till rollerna.

Överlag mycket bra alltså.

Tyvärr inget gjort för att förenkla I18n och översättningsarbetet (som jag jobbar med att anpassa till 2.0). Jag ska påtala det tydligare i utvecklingsmejlinglistan så får vi se om det blir någon förändring.

Ursprungligen av Kalle W:

Det har tillkommit en WYSIWYG-editor (som inte fungerar i Safari tråkigt nog)

TinyMCE var nog det bästa valet de hade kunnat göra och den ligger längst framme för Safari av något wysiwyg-editor, de har ett halvfungerade stöd. Men problemet är att detta är en ny finess i Safari (kom i 2.0) och fortfarande rätt buggigt. Så att det inte fungerar i Safari beror helt och hållet på Apple.

Ursprungligen av Adrian B:

TinyMCE var nog det bästa valet de hade kunnat göra och den ligger längst framme för Safari av något wysiwyg-editor, de har ett halvfungerade stöd. Men problemet är att detta är en ny finess i Safari (kom i 2.0) och fortfarande rätt buggigt. Så att det inte fungerar i Safari beror helt och hållet på Apple.

Och i Camino/Firefox så segar den ner hela webbläsaren. Iaf i den skarpa versionen.

  • Oregistrerad
  • 2006-01-06 17:41

Jag kör W på några ställen jag med, men har börjat överge det litet till förmån för Textpattern på senare tid. Dock tänker jag nog inte ändra de gamla wparna.

Väntar nog lite med skaqrp2an med. Har lite för många pluggar för att våga. Väntar tills de svansarna har försäkrat sig om sina funktioner.

Version 2.0 är sjukt full med buggar. En uppdatering som känns som den har gjorts i all hast. Jag väntar med att uppdatera ett tag till.

  • Medlem
  • Bollnäs
  • 2006-01-16 11:51

Det tar också ungefär dubbelt så lång tid att generera sidorna på servern (databaskoppling, hämta data, skapa html och skicka till klient) jämfört med 1.5. Klart irriterande. Får hoppas att det kommer en ny version snart som är lite mer optimerad.

  • Medlem
  • Göteborg
  • 2008-01-19 20:26

Jag tycker inte att WYSIWYG-editorn i WordPress är helt ok med Safari. Är det någon som vet någon annan eller en plugin som fungerar bra med Safari?

med 2.5 eller 2.5.1 fungerar det äntligen klockrent i safari (3.0)

  • Medlem
  • Göteborg
  • 2008-04-28 14:26

Ja, nu är det riktigt fint!

1
Bevaka tråden